<?

//-------------------------------fim da autenticação---------------------//

    include("authentication.php");

	include("conexao.php");

    require("funcoes.php");

	

	$login =  $_SESSION["login"];  

//-------------------------------fim da autenticação---------------------//



// -------------------- Inclusão/Alteração/exclusão ------------------------------

/*

if ($_POST['campo_funcao'] == "inc"){

  $result = mysqli_query($conexao,"insert into historia SET 

  titulo='".valida_caracteres($_POST['titulo'])."',

  texto='".valida_caracteres($_POST['texto'])."',

  situacao='d'

  ") or die (mysqli_error($conexao));

  $registro = mysqli_insert_id();

	

              savelog($login, "Inseriu novo texto em História: $registro.");

}

else

*/

 if (($_POST['campo_funcao'] == "alt")and($_POST['funcao_exc'] == "")){

  $result = mysqli_query($conexao,"UPDATE estatuto SET 

  titulo='".valida_caracteres($_POST['titulo'])."',

  texto='".valida_caracteres($_POST['texto'])."',

  situacao='".valida_caracteres($_POST["situacao"])."' 

  where id='".valida_caracteres($_POST["id_tcomp"])."'") or die(mysqli_error($conexao));



              savelog($login, "Alterou dados do texto da historia.");

}



$alerta = "Alteração efetuada com sucesso!";

?>

<html>

<head>

<meta http-equiv="Pragma" content="no-cache">

<meta http-equiv="Expires" content="-1">

<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<title><? echo $empresa; ?></title>

<meta name="Description" content="">

<meta name="Author" content="Marcos Antonio Pereira Lopes">

<meta name="Keywords" content="">

<script language="JavaScript">

<!--

function Redireciona(){

  alert("<? echo $alerta ?>");

  open('cad_historia_alt.php?id_tcomp=<? echo $_POST["id_tcomp"]; ?>', '_top');  





}

-->

</script>

</head>

<body onLoad="JavaScript:Redireciona()">  

	  



</body>

</html>